Opened 7 years ago

Closed 7 years ago

#5574 closed enhancement (wontfix)

Understand hixie-76/hybi-00 WebSockets

Reported by: dcf Owned by: dcf
Priority: Low Milestone:
Component: Archived/Flashproxy Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

The flash proxy connector (client transport plugin) understands only the RFC 6455/hybi-10 type of WebSocket, which is supported by Firefox 7+, Chrome 14+, and IE 10+. Safari 5 only supports the older hixie-76/hybi-00 type of WebSocket. (https://developer.mozilla.org/en/WebSockets#Browser_compatibility.) The connector should support this type of WebSocket so that Safari can be used as a proxy.

Child Tickets

Change History (1)

comment:1 Changed 7 years ago by dcf

Resolution: wontfix
Status: newclosed

Safari 6.0 has been released with support for the newer kind of WebSocket, so I don't care about this anymore.

Note: See TracTickets for help on using tickets.